Bug 640889 - Review Request: q4wine - Qt4 GUI for wine
Summary: Review Request: q4wine - Qt4 GUI for wine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-07 02:45 UTC by Dmitrij S. Kryzhevich
Modified: 2010-11-11 08:37 UTC (History)
5 users (show)

Fixed In Version: q4wine-0.120-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 01:10:13 UTC
Type: ---
orion: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dmitrij S. Kryzhevich 2010-10-07 02:45:58 UTC
Spec URL: http://depositfiles.com/files/3rfhn9oit
SRPM URL: http://depositfiles.com/files/2s536kqvp
Description:

Hi, I would like to introduce frontend for wine.

Q4Wine is a qt4 GUI for W.I.N.E. It will help                                                                            
you manage wine prefixes and installed applications.                                                                     
                                                                                                                         
General features:                                                                                                        
* Can export QT color theme into wine colors settings..                                                                  
* Can easy work with different wine versions at same time;.                                                              
* Easy creating, deleting and managing prefixes (WINEPREFIX);.                                                           
* Easy controlling for wine process;.                                                                                    
* Autostart icons support;.                                                                                              
* Easy cd-image use;.                                                                                                    
* You can extract icons from PE files (.exe .dll);.                                                                      
* Easy backup and restore for managed prefixes..                                                                         
* Winetriks support.

rpmlint q4wine-0.120-1.fc13.src.rpm q4wine-0.120-1.fc13.x86_64.rpm 
q4wine.src: W: spelling-error %description -l en_US exe -> exr, ex, exes
q4wine.src: W: spelling-error %description -l en_US dll -> dkl, ll, dell
q4wine.x86_64: W: spelling-error %description -l en_US exe -> exr, ex, exes
q4wine.x86_64: W: spelling-error %description -l en_US dll -> dkl, ll, dell
q4wine.x86_64: W: file-not-utf8 /usr/share/doc/q4wine-0.120/LICENSE
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Question: fuseiso and icoutils both BuildRequires and Requires. It there way to mention them only once?

Sponsor needed.

Comment 1 Dmitrij S. Kryzhevich 2010-10-07 03:01:44 UTC
Just foget.

>q4wine.x86_64: W: file-not-utf8 /usr/share/doc/q4wine-0.120/LICENSE

There is a © symbol broken somehow in this file. I informed upstream.

Comment 2 Dmitrij S. Kryzhevich 2010-10-10 09:09:36 UTC
(In reply to comment #1)
> There is a © symbol broken somehow in this file. I informed upstream.

Done. It will be fixed next release.

Comment 3 Orion Poplawski 2010-10-12 22:32:14 UTC
Find another place to host your files and I'll take a look.  Something I can wget.

Comment 4 Dmitrij S. Kryzhevich 2010-10-13 01:55:39 UTC
Does it better?

SPEC: http://krege.land.ru/rpms/q4wine.spec
SRPM: http://krege.land.ru/rpms/q4wine-0.120-1.fc13.src.rpm

Comment 5 Orion Poplawski 2010-10-20 17:30:03 UTC
Much better.

First look:

- Need to rename q4wine1.spec to q4wine.spec in the src.rpm
- Source0 needs to be:

See https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

- You need to fix the LICENSE file, either using iconv or getting the latest from the git repository if upstream has indeed fixed it.

- Need to run update-desktop-database, see https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

Otherwise looks pretty good.

Comment 6 Dmitrij S. Kryzhevich 2010-10-26 04:51:52 UTC
>Need to rename q4wine1.spec to q4wine.spec in the src.rpm

My bad. Wrong file. I have right q4wine.spec.

>You need to fix the LICENSE file

Fixed.

>- Need to run update-desktop-database

Riiiiight. How had I fogot it? Added %post and %postun.

SPEC: http://krege.land.ru/rpms/q4wine.spec
SRPM: http://krege.land.ru/rpms/q4wine-0.120-2.fc13.src.rpm

# rpmlint q4wine-0.120-2.fc13.src.rpm q4wine-0.120-2.fc13.x86_64.rpm 
q4wine.src: W: spelling-error %description -l en_US exe -> exr, ex, exes
q4wine.src: W: spelling-error %description -l en_US dll -> dkl, ll, dell
q4wine.x86_64: W: spelling-error %description -l en_US exe -> exr, ex, exes
q4wine.x86_64: W: spelling-error %description -l en_US dll -> dkl, ll, dell
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 7 Orion Poplawski 2010-10-26 15:14:54 UTC
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[-] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

# rpm -qf /usr/lib/q4wine
file /usr/lib/q4wine is not owned by any package

[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.

desktop-file-validate should be in the %install section according to the guidelines.

[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

So, just the two items above and I think we're set.

Comment 8 Dmitrij S. Kryzhevich 2010-10-27 03:30:40 UTC
Both done.

SPEC: http://krege.land.ru/rpms/q4wine.spec
SRPM: http://krege.land.ru/rpms/q4wine-0.120-3.fc13.src.rpm

Comment 9 Orion Poplawski 2010-10-27 03:40:48 UTC
APPROVED.

Dmitrij - do you still need sponsorship?  I can do that if needed.  What is your FAS account name?  Have you applied for packager group membership?  It's been a long time since I sponsored someone, so I'm sure the procedure has changed a bit.

Comment 10 Dmitrij S. Kryzhevich 2010-10-29 03:30:28 UTC
Yes, I still need it. My FAS name is krege.

Comment 11 Dmitrij S. Kryzhevich 2010-10-29 07:25:03 UTC
Sorry, but need you be "Assigned To"?

Comment 12 Orion Poplawski 2010-10-29 14:29:17 UTC
Yup.  Okay, you are now sponsored by me.

Comment 13 Dmitrij S. Kryzhevich 2010-10-30 03:43:00 UTC
Thank you, Orion.

New Package SCM Request
=======================
Package Name: q4wine
Short Description: Qt4 GUI for wine
Owners: krege
Branches: f12 f13 f14
InitialCC:

Comment 14 Kevin Fenzi 2010-10-30 23:23:40 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2010-10-31 05:09:56 UTC
q4wine-0.120-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/q4wine-0.120-3.fc14

Comment 16 Fedora Update System 2010-10-31 05:14:52 UTC
q4wine-0.120-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/q4wine-0.120-3.fc13

Comment 17 Fedora Update System 2010-10-31 21:31:32 UTC
q4wine-0.120-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update q4wine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/q4wine-0.120-3.fc13

Comment 18 Fedora Update System 2010-11-01 11:58:12 UTC
q4wine-0.120-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/q4wine-0.120-4.fc12

Comment 19 Fedora Update System 2010-11-08 22:44:45 UTC
q4wine-0.120-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-11-08 22:48:23 UTC
q4wine-0.120-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 leigh scott 2010-11-09 16:03:07 UTC
(In reply to comment #9)
> APPROVED.
> 
> Dmitrij - do you still need sponsorship?  I can do that if needed.  What is
> your FAS account name?  Have you applied for packager group membership?  It's
> been a long time since I sponsored someone, so I'm sure the procedure has
> changed a bit.

How could you approve a package that contains bundled libs? (qtsingleapplication)

It will need patching so it uses system libs instead http://koji.fedoraproject.org/koji/packageinfo?packageID=10602

Comment 22 Orion Poplawski 2010-11-09 20:33:25 UTC
Missed that, sorry.  I looked for it in the main qt package, but didn't realize it was a separate qt library.

Comment 23 Fedora Update System 2010-11-10 01:10:08 UTC
q4wine-0.120-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Dmitrij S. Kryzhevich 2010-11-10 02:46:29 UTC
Will redo that.

Comment 25 Dmitrij S. Kryzhevich 2010-11-10 05:36:05 UTC
Done: http://koji.fedoraproject.org/koji/taskinfo?taskID=2592112

Comment 26 Orion Poplawski 2010-11-10 16:19:51 UTC
You should also:

rm -r src/qtsingleapplication 

in %prep.  Also, be sure to submit your patch upstream (and make a comment to that effect in the spec above the Patch line).  I'll let Leigh have the final word this time.

Comment 27 Dmitrij S. Kryzhevich 2010-11-11 02:21:01 UTC
(In reply to comment #26)
> You should also:
> 
> rm -r src/qtsingleapplication 

Is it realy necessary? If so, could I do it in next release?

Comment 28 Orion Poplawski 2010-11-11 03:30:14 UTC
Yes, it is a sure and quick confirmation that it is not used.  Next release is fine though, just check it in for now.

Comment 29 Dmitrij S. Kryzhevich 2010-11-11 04:24:11 UTC
Added this string to local spec copy, so it will not be fogotten.

The proposal was sent to upstream.

Comment 30 Dmitrij S. Kryzhevich 2010-11-11 08:27:26 UTC
(In reply to comment #21)

Hm. Upstream of qtsingleapplication does not exist. Did it merged to Qt?

Comment 31 Dmitrij S. Kryzhevich 2010-11-11 08:37:14 UTC
Found it. It is not supported by Nokia any more, but one can get it on gitorious still.


Note You need to log in before you can comment on or make changes to this bug.